Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class WLSQLBuilderImpl

`java.lang.Object
oracle.jbo.common.CommonCriteriaAdapter
oracle.jbo.server.BaseSQLBuilderImpl
oracle.jbo.server.OLiteSQLBuilderImpl
oracle.jbo.server.WLSQLBuilderImpl`

All Implemented Interfaces:
  SQLBuilder, ViewCriteriaAdapter

public class WLSQLBuilderImpl
extends OLiteSQLBuilderImpl

Field Summary

Fields inherited from class oracle.jbo.server.OLiteSQLBuilderImpl
`ERROR_OLITE_RESOURCE_BUSY_AND_NOWAIT_SPECIFIED, ORACLE_ROWID_COLUMN`

Fields inherited from interface oracle.jbo.server.SQLBuilder
`BINDING_STYLE_JDBC, BINDING_STYLE_ORACLE, BINDING_STYLE_ORACLE_NAME, BINDING_STYLE_UNKNOWN, DML_DELETE, DML_INSERT, DML_UPDATE`

Constructor Summary
`protected` | `WLSQLBuilderImpl()` This is a singleton class.

Method Summary
`void` | `doRegisterDefaultDriver(java.lang.String url)` Registers the JDBC driver associated with this type of JDBC connection.
`static SQLBuilder` | `getInterface()` Gets the singleton instance of this class.

Methods inherited from class oracle.jbo.server.OLiteSQLBuilderImpl
`addSqlTypeText, bindWhereAttrValue, capabilityCanReuseLockStatements, doLoadFromResultSet, getBaseTable, getCreateSequenceInsertTriggerSQL, getCreateSequenceSQL, getDbTimeQuery, getDbType, getDefaultBindingStyle, getDropSequenceSQL, getDropTableSQL, getJDBCDriverClassName, getPersistManagerClassName, getSqlVariantLockTrailer, getTableList, getTableListSqlStatement, getTypeMapName, getVersion, isDisplayBindValueUI`

Methods inherited from class oracle.jbo.server.BaseSQLBuilderImpl
`baseBuildSelectList, bindDeleteStatement, bindInsertStatement, bindOptUpdateWhereClause, bindParametersForStmt, bindParamValue, bindUpdateStatement, bindWhereClause, bindWhereClause, buildDeleteStatement, buildInsertStatement, buildOptUpdateWhereClause, buildSelectList, buildSelectString, buildSelectString, buildUpdateStatement, buildWhereClause, checkTableNameForQuotes, compareFetchedValue, convertFlags, convertValueToStorageType, convertValueToWhereFragment, convertValueToWhereFragment, createHandleForCancellableStatements, doEntityDML, doEntitySelect, doLoadBulkFromResultSet, doLoadFromStatement, doPreparedStatementDefineColumnType, doPreparedStatementDefines, doRefreshSQL, doStatementSetBindingStyle, doStatementSetBindingStyleDefault, doStatementSetRowPrefetch, dumpConstraint, executeBatch, formatAttributeValue, generatePKBasedRef, generateRefAndOID, generateRowID, getColumnNameWithFormatForQuery, getConstraints, getConstraintsList, getCurrentDbTime, getFormattedLHSCompareFragment, getFormattedLHSCompareFragment, getFormattedLHSCompareFragment, getFormattedRHSCompareFragment, getFormattedRHSCompareFragment, getFormattedRHSCompareFragment, getLockTrailerIsAtEnd, getMaxTableNameLength, getNestedTables, getQueryHitCountSQL, getQuotationMarkLeft, getQuotationMarkRight, getROWID, getSchemaList, getSchemas, getSupportsAliasInUpdateStatements, getTableList, getTables, getTables, getViewCriteriaAdapter, getViewCriteriaClause, getWarningText, invalidDatumFactoryUsage, isConnectionAlive, isDataSourceJTABased, isNewLineAllowedInSQL, isStreamType, jdbcClientSideSecurity, lookupDataSource, needsQuotedTableName, populateJboTypeMapEntries, processException, releaseSavepoint, rollbackToSavepoint, setSavepoint, shouldSkipDML, supportsReturningClause, supportsRowNumQuery`

Methods inherited from class oracle.jbo.common.CommonCriteriaAdapter
`convertValueToWhereFragment, getCriteriaClause, isCharType, isNumericType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.server.SQLBuilder
`isCharType, isNumericType`

Constructor Detail

### WLSQLBuilderImpl

    protected WLSQLBuilderImpl()

  This is a singleton class.

Method Detail

### getInterface

    public static SQLBuilder getInterface()

  Gets the singleton instance of this class.
  Returns:
    a `SQLBuilder` object.

### doRegisterDefaultDriver

    public void doRegisterDefaultDriver(java.lang.String url)
                                 throws java.sql.SQLException

  Description copied from interface: `SQLBuilder`
  Registers the JDBC driver associated with this type of JDBC connection.
  Specified by:
    `doRegisterDefaultDriver` in interface `SQLBuilder`
  Overrides:
    `doRegisterDefaultDriver` in class `BaseSQLBuilderImpl`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.